## libgepub 0.7.3

=== meson_options.txt ===
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('widget', type: 'boolean', value: true, description: 'Build with GepubWidget based on Webkit')

## libgepub 0.4

=== debian/changelog ===
libgepub (0.4-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Initial release. (Closes: #836354)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Sep 2016 10:07:23 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgepub
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>,
Build-Depends: debhelper (>= 9.20160403~),
               gnome-pkg-tools,
               gobject-introspection (>= 1.30.0),
               libarchive-dev,
               libgirepository1.0-dev (>= 1.30.0),
               libglib2.0-dev,
               libgtk-3-dev,
               libsoup2.4-dev,
               libwebkit2gtk-4.0-dev,
               libxml2-dev,
               pkg-config
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgepub
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgepub

Package: libgepub0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library to read epub files
 libgepub is a GObject based library for handling and rendering epub
 documents.
 .
 This package contains the C library.

Package: libgepub-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gepub-0.4 (= ${binary:Version}),
         libarchive-dev,
         libgepub0 (= ${binary:Version}),
         libglib2.0-dev,
         libxml2-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to read epub files (development files)
 libgepub is a GObject based library for handling and rendering epub
 documents.
 .
 This package contains the headers for the C library.

Package: gir1.2-gepub-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the libgepub library
 libgepub is a GObject based library for handling and rendering epub
 documents.
 .
 This package contains the introspection data for the libgepub library.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	dh_install --list-missing

## libgepub 0.5.2

=== debian/changelog ===
libgepub (0.5.2-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Rename gir1.2-gepub-0.4 to gir1.2-gepub-0.5
  * debian/libgepub0.symbols:
    - Add new symbols
    - Drop gepub_utils_has_parent_tag which has been marked private
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Aug 2017 22:11:01 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>,
-Build-Depends: debhelper (>= 9.20160403~),
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>,
+Build-Depends: debhelper (>= 10.3),
                gnome-pkg-tools,
                gobject-introspection (>= 1.30.0),
                libarchive-dev,
@@ -17,8 +17,9 @@
                libsoup2.4-dev,
                libwebkit2gtk-4.0-dev,
                libxml2-dev,
+               meson (>= 0.41.0),
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgepub
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgepub
 
@@ -37,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gepub-0.4 (= ${binary:Version}),
+Depends: gir1.2-gepub-0.5 (= ${binary:Version}),
          libarchive-dev,
          libgepub0 (= ${binary:Version}),
          libglib2.0-dev,
@@ -50,7 +51,7 @@
  .
  This package contains the headers for the C library.
 
-Package: gir1.2-gepub-0.4
+Package: gir1.2-gepub-0.5
 Section: introspection
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with gir,gnome
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@ --with gir,gnome --buildsystem=meson
 
 override_dh_install:
 	dh_install --list-missing

## libgepub 0.6.0

=== debian/changelog ===
libgepub (0.6.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 21:12:28 -0500

libgepub (0.6.0-1) unstable; urgency=medium

  * New upstream release (LP: #1756141)
  * Update package names for new release
  * Have -dev package depend on libsoup2.4-dev and libwebkit2gtk4.0-dev

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 15 Mar 2018 13:00:09 -0400

libgepub (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Jan 2018 22:08:18 -0500

libgepub (0.5.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:14:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libgepub
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>,
-Build-Depends: debhelper (>= 10.3),
+Uploaders: Jeremy Bicha <jbicha@debian.org>,
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                gobject-introspection (>= 1.30.0),
                libarchive-dev,
@@ -19,11 +19,11 @@
                libxml2-dev,
                meson (>= 0.41.0),
                pkg-config
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgepub
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libgepub
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/libgepub
+Vcs-Git: https://salsa.debian.org/gnome-team/libgepub.git
 
-Package: libgepub0
+Package: libgepub-0.6-0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -34,14 +34,16 @@
  .
  This package contains the C library.
 
-Package: libgepub-dev
+Package: libgepub-0.6-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gepub-0.5 (= ${binary:Version}),
+Depends: gir1.2-gepub-0.6 (= ${binary:Version}),
          libarchive-dev,
-         libgepub0 (= ${binary:Version}),
+         libgepub-0.6-0 (= ${binary:Version}),
          libglib2.0-dev,
+         libsoup2.4-dev,
+         libwebkit2gtk-4.0-dev,
          libxml2-dev,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -51,7 +53,7 @@
  .
  This package contains the headers for the C library.
 
-Package: gir1.2-gepub-0.5
+Package: gir1.2-gepub-0.6
 Section: introspection
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome --buildsystem=meson

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## libgepub 0.7.0

=== debian/changelog ===
libgepub (0.7.0-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 04 Sep 2022 14:30:59 -0400

libgepub (0.7.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Update package names for soname bump
  * debian/libgepub-0.7-0.symbols: Add new symbols
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Build-Depend on libwebkit2gtk-4.1-dev instead of 4.0
  * debian/control.in: Bump minimum meson to 0.46.0
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.1
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/rules: Drop unneeded -Wl,--as-needed

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Repository, Repository-Browse
  * Update standards version to 4.4.1, no changes needed
  * Set upstream metadata fields: Bug-Database, Bug-Submit

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 12:37:58 -0400

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,25 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>,
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
-               gobject-introspection (>= 1.30.0),
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                libarchive-dev,
                libgirepository1.0-dev (>= 1.30.0),
                libglib2.0-dev,
                libgtk-3-dev,
                libsoup2.4-dev,
-               libwebkit2gtk-4.0-dev,
+               libwebkit2gtk-4.1-dev,
                libxml2-dev,
-               meson (>= 0.41.0),
+               meson (>= 0.46.0),
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgepub
 Vcs-Git: https://salsa.debian.org/gnome-team/libgepub.git
 
-Package: libgepub-0.6-0
+Package: libgepub-0.7-0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -34,16 +35,16 @@
  .
  This package contains the C library.
 
-Package: libgepub-0.6-dev
+Package: libgepub-0.7-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gepub-0.6 (= ${binary:Version}),
+Depends: gir1.2-gepub-0.7 (= ${binary:Version}),
          libarchive-dev,
-         libgepub-0.6-0 (= ${binary:Version}),
+         libgepub-0.7-0 (= ${binary:Version}),
          libglib2.0-dev,
          libsoup2.4-dev,
-         libwebkit2gtk-4.0-dev,
+         libwebkit2gtk-4.1-dev,
          libxml2-dev,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -53,7 +54,7 @@
  .
  This package contains the headers for the C library.
 
-Package: gir1.2-gepub-0.6
+Package: gir1.2-gepub-0.7
 Section: introspection
 Architecture: any
 Multi-Arch: same

## libgepub 0.7.1

=== debian/changelog ===
libgepub (0.7.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:57:10 +1100

libgepub (0.7.1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:21:52 +0000

libgepub (0.7.1-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Drop obsolete dependency on libsoup2.4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jan 2024 07:50:31 -0500

libgepub (0.7.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 14:28:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,20 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libgepub
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                libarchive-dev,
                libgirepository1.0-dev (>= 1.30.0),
                libglib2.0-dev,
                libgtk-3-dev,
-               libsoup2.4-dev,
                libwebkit2gtk-4.1-dev,
                libxml2-dev,
                meson (>= 0.46.0),
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgepub
 Vcs-Git: https://salsa.debian.org/gnome-team/libgepub.git
@@ -43,7 +38,6 @@
          libarchive-dev,
          libgepub-0.7-0 (= ${binary:Version}),
          libglib2.0-dev,
-         libsoup2.4-dev,
          libwebkit2gtk-4.1-dev,
          libxml2-dev,
          ${misc:Depends},

## libgepub 0.7.3

=== debian/changelog ===
libgepub (0.7.3-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

  [ Jeremy Bícha ]
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 17:45:30 -0400

libgepub (0.7.3-1) unstable; urgency=medium

  * New upstream bugfix release
  * Update gir handling
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Apr 2025 08:40:55 -0400

=== debian/control ===
Source: libgepub
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-gobject-2.0-dev,
               gir1.2-libxml2-2.0-dev,
               gir1.2-webkit2-4.1-dev,
               gobject-introspection (>= 1.80),
               libarchive-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libwebkit2gtk-4.1-dev,
               libxml2-dev,
               meson (>= 0.46.0),
               pkgconf,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/libgepub
Vcs-Git: https://salsa.debian.org/gnome-team/libgepub.git

Package: libgepub-0.7-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library to read epub files
 libgepub is a GObject based library for handling and rendering epub
 documents.
 .
 This package contains the C library.

Package: libgepub-0.7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libarchive-dev,
         libgepub-0.7-0 (= ${binary:Version}),
         libglib2.0-dev,
         libwebkit2gtk-4.1-dev,
         libxml2-dev,
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Description: library to read epub files (development files)
 libgepub is a GObject based library for handling and rendering epub
 documents.
 .
 This package contains the headers for the C library.

Package: gir1.2-gepub-0.7
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
Description: GObject introspection data for the libgepub library
 libgepub is a GObject based library for handling and rendering epub
 documents.
 .
 This package contains the introspection data for the libgepub library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --buildsystem=meson

=== debian/tests/control ===
Tests: build,
Depends: @,
         @builddeps@,
Restrictions: build-needed,
